<?php
	require_once("config/connect.php");
	#require_once("global_functions.php");
	require_once("global_functions_gastro.php");
	require_once("api/telefon/telefon_funktionen.php");
	check_login('', '', 'standardUser');
		
	$useragent=$_SERVER['HTTP_USER_AGENT'];
	#if(preg_match("/android/i", $useragent){			}
	if(preg_match("/windows/i", $_SERVER['HTTP_USER_AGENT']) ){
		$addMeta="<meta name='author' content='serviceIT RFR'  >";
		
	}
	else $addMeta="";
	
?>
<!DOCTYPE html> 
<html> 
<head> 
    <meta charset="UTF-8"> 
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>SITPOS Tischauswahl</title>
	<?php echo PAGE_CACHE_OFF; 
			echo $addMeta;

		if (is_mobile()) echo "<meta content='width=732, user-scalable=0' name='viewport' />";

	?>
	

	<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css">
	<style type="text/css">
	<?php 
		include 'include/main.css'; 
		include 'include/menue.css';
		
		if($mobileDevice==true){
			include 'include/mobile.css';
			?>
			
			#wrapper_2 { display:block; width:100%; height:100%; top:0; overflow:hidden;	}
			.tischLayoutContainer {height:calc(95% - <?php echo MENU_GASTRORAUM_HOEHE ?>);  }
			.menue { border:none; }
			<?php
			
		}

	?>
	</style>
	<script src="jquery/jquery-2.1.1.min.js"></script>
	<script src="jquery/jquery-ui1.11.4.js"></script>
	<script src="jquery/numeral.min.js"></script>
	<script src="jquery/jquery.number.min.js"></script>
	<script src="include/global_js_functions.js"></script>
	<script src="include/global_gastro_functions.js"></script>
	<script src="include/bonSplitten.js"></script>
	<?php require_once("include/global_js_functions_php.php"); ?>
	<script>
	function tische_anzeigen(id)
	{
		
		$.ajax({
					type: "POST",
					url: "include/ajax_functions_gastro.php",
					dataType : "html",
					data: {raum_id: id, functionKey: "tische_anzeigen"},
					async: true,
					success:function(html){
						
						$("#tischLayoutContainer").html(html);
					}
			})
			

	}
	
	supplyPdfPrint="<?php echo strtolower(AUSDRUCK_BEREITSTELLUNGSBON_PDF); ?>";
	takeOtherTable="<?php echo strtolower(OTHER_USER_TABLE_TAKE); ?>";	
	
	// Wenn movetotable aktviert ist, dann wird erst jetzt synchronisiert.
	$(document).ready( function () {
		var checkVar = "<?php if (FUNKTION_GASTRO_MOVETO_TISCHE == "ja") echo FUNKTION_GASTRO_MOVETO_TISCHE; ?>";
		if (checkVar == "ja") {
			filialsystem_synchronisieren();
		}
	});
	
	
	</script>
	<?php
		if(!isset($_SESSION)){session_start();}			# wenn kellnerschloss abgezogen wird wird AUCH eine session gesetzt, wenn der logout auf kassieren 
														# nicht mehr ausgeführt wird weil tische schon geladen dann löst die session das logout hier aus, gleiche funktion auch auf kassieren
		if(isset($_SESSION['autologout']) && $_SESSION['autologout'] == true){
			?> <script> setTimeout(checkPendingRequest, 500); </script> 	<?php
		}
	?>
	
	</head> 
<body > 
	
	<div id="wrapper" class="wrapper" >
			<div id="generalDialog"  ></div>		 		<!-- mehrfach in kassieren.php verwendete Dialog box (jquery ui dialog box)	-->
			<?php	 menue_anzeigen(true); ?>
		<div class="cclear"></div>
		<div id="wrapper_2" class="wrapper_2">
		<?php 
			$del_temp_tables=false;
			if (isset($_REQUEST['funktion'])) 
			{
				if ($_REQUEST['funktion']=='del_temp_tables')
				{
					$del_temp_tables=true;
				}
			}
			$kassa_offen_id=ist_kassa_offen();
			if ($kassa_offen_id) 
			{
				//	print_fehler("Kassa ist offen mit Sequenz: $kassa_offen_id");
			}
			else {
				//	print_fehler("Kassa ist nicht geöffnet, es kann nicht boniert werden");
				eroeffne_kassa();
			}
			if(isset($_SESSION['requested_resolution']) && checkMobilerDrucker() == false ){	
					defineMobilenDrucker();
			}
				
		?>
			<div class="selectRoomMenuDiv">	
				<div class="roomMenuInnerDiv">
					<div class="roomMenuListDiv">
								<?php 
									$getUserRaum=mysql_fetch_array(mysql_query("SELECT aktuellerRaum FROM benutzer WHERE id = ".$_SESSION['userId']." "));
										# wenn der benutzer einen Raum gesetzt hat, wird dieser (weiter unten) aufgerufen, wenn nicht nehmen wir den ersten raum
									$sql_kategorien = mysql_query("SELECT id, name, reihenfolge FROM raum ORDER by reihenfolge ASC");
									$erste_id_gefunden=false;
									$raum_id="";
									
									if (!$sql_kategorien){
										echo "SQL Fehler: " . mysql_error();
										exit(1);
									}
									// Zeige die Räume an
									while ($row_raum=mysql_fetch_assoc($sql_kategorien)){
										$raumAktuell=false;
										if (!$erste_id_gefunden){
											$raum_id=$row_raum['id'];
											$erste_id_gefunden=true;
										}
										if($getUserRaum[0] > 0) $raum_id = $getUserRaum[0];
										if($row_raum['id'] == $raum_id) $raumAktuell="style='box-shadow: 3px 3px 4px #00A;'";
										echo "<button ".$raumAktuell." class='button_none_float orange rommMenuBut' 
											onclick=\"tische_anzeigen('".$row_raum['id']."')\"	>".$row_raum['name']."</button>";
									}
								?>	
						</div>
					</div> <!--  raum auswählen inner div ende -->
					<div class="cclear"></div>
			</div>	<!-- Menue raum auswählen ende -->
			<div class="cclear"></div>
			<div id= "tischLayoutContainer" class="tischLayoutContainer"  >
				<?php
					if(isset($_POST['moveTableIndicator']) && $_POST['moveTableIndicator']=='setByMoveTable') $moveTabelIndicator="moveTable";
					else $moveTabelIndicator="";
					
					// Wenn gesetzt, dann die offenen temporären Tische löschen
					if ($del_temp_tables)
					{
						log_to_file("Alle temp Tische löschen: Lösche alle Temp Tables!", false, false);
						$Q1=mysql_query("SELECT id, tischName FROM tische WHERE ist_temporaer=1 AND
										NOT EXISTS (SELECT 1 FROM offener_bon 
														WHERE offener_bon.bon_id  = tische.id  )");
						if (!$Q1) echo mysql_error();
						while ($row1=mysql_fetch_assoc($Q1))
						{
							$tisch_name=$row1['tischName'];
							$tisch_id=$row1['id'];
							log_to_file("Alle temp Tische löschen: Lösche Tisch $tisch_name !", false, false);
							
							$Q2=mysql_query("DELETE FROM bon_add_text WHERE offenerbon_id=$tisch_id");
							if (!$Q2) echo mysql_error();
							$Q3=mysql_query("DELETE FROM tische WHERE id=$tisch_id");
							if (!$Q3) echo mysql_error();
						}
						
						
						
						
					}
					tische_anzeigen($raum_id, $moveTabelIndicator);
					if(isset($_POST['moveTableIndicator']) && $_POST['moveTableIndicator']=='setByMoveTable'){
				?>
					<script>
						$("#menuDivRight").css({ "display":"block"	}).html("<input type='hidden' id='setTargetHiddenField' value='setTargetTable' /><p class='setTableToMoveTxt'>Ziel Tisch auswählen</p>");
					</script>
				<?php

					}
					else if(isset($_POST['moveTableIndicator']) && $_POST['moveTableIndicator']=='setByMoveTableDetail'){						
					?>
					<script>
						$("#menuDivRight").css({ "display":"block"	}).html("<input type='hidden' id='setTargetHiddenField' value='setByMoveTableDetail' /><p class='setTableToMoveTxt'>Ziel Tisch auswählen</p>");
					</script>
				<?php
					}
					
					unset($_POST['moveTableIndicator']);
				?>

			</div>
			
			<div id="tische_messageDiv">
			<div id="tische_loginInfoDiv" class="loginInfoDiv" >
				<?php 
					if (defined('TELEFON_ANRUFE_ANZEIGEN') && strtolower(TELEFON_ANRUFE_ANZEIGEN)==='ja')
					{
						echo "	<script>
								setInterval(function () 
								{
									zeige_letzte_telefonanrufe_an(false);
								}, 3000);
								</script>";
						zeige_letzte_telefonanrufe_an(false);
					}
					
				?>
				
				</div>
				
				<div id="tische_error_message" >
					<div id="tische_error_message_innen">
					<?php
						if (defined('TELEFON_ANRUFE_ANZEIGEN') && strtolower(TELEFON_ANRUFE_ANZEIGEN)==='ja')
						{
							echo '<a href="telefonanrufe_sITeditor.php"><button class="button button_gross_anrufe_menue orange">Anrufe</button></a>';
						}
						$uLevel=$_SESSION['userLevel'];
						if($uLevel >= ENABLERKEY_ADMIN_KUNDEN && defined('BASIS_LIZENZ_VORHANDEN') && strtolower(BASIS_LIZENZ_VORHANDEN) == 'ja')
						{
							echo '<a href="anlegen_kunden_sITeditor.php"><button class="button button_gross_anrufe_menue orange">Kunden</button></a>';
							echo '<a href="tische.php?funktion=del_temp_tables"><button class="button_none_float button_gross_anrufe_menue orange floatR">Tische lösch</button></a>';
						}
					?>
					
					</div>
				</div>
				</div>
				<div class='cclear'></div>
			
			<form id="moveTableGetTargetIdForm" action="kassieren.php" method="post" >
					<input id="targetTableIdField" type="hidden" name="targetTableIdField" value="0" />
				</form>
	

		</div><!-- wrapper_2 schließen -->
	</div> <!-- wrapper schließen -->
	
</body>
</html>












